package eu.midnightdust.yaytris;

import eu.midnightdust.yaytris.util.Difficulty;
import eu.midnightdust.yaytris.util.NightJson;

public class Settings {
    private static final NightJson json = new NightJson(Settings.class, "tetris_settings.json5");

    public static int musicVolume = 100;
    public static int soundVolume = 100;
    public static float guiScale = 3.f;
    public static boolean shouldScaleSpeed = true;
    public static Difficulty difficulty = Difficulty.NORMAL;

    public static void load() {
        json.readJson();
    }

    public static void write() {
        json.writeJson();
    }
}
